=== debian/changelog ===
userbindmount (0.1-3) unstable; urgency=medium

  [ Renzo Davoli ]
  * fix reproducible-builds: BuildId differences triggered by RPATH 
    (Closes: #1001850)
  [ Andrea Capriotti]
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Andrea Capriotti <capriott@debian.org>  Fri, 12 Aug 2022 15:45:51 +0200

userbindmount (0.1-2) unstable; urgency=medium

  * d/control: Set Maintainer to Debian VirtualSquare Team
  * d/control: Fix Vcs
  * Initial Debian release (Closes: #965296)

 -- Andrea Capriotti <capriott@debian.org>  Sun, 19 Jul 2020 01:35:16 +0200

userbindmount (0.1-1) unstable; urgency=medium

  * Initial release

 -- Renzo Davoli <renzo@cs.unibo.it>  Sun, 05 Jul 2020 20:11:27 +0200
