=== debian/control ===
Source: userbindmount
Priority: optional
Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Mattia Biondi <mattiabiondi1@gmail.com>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
Build-Depends: debhelper-compat (= 13), cmake (>= 3.12), libcap-dev
Standards-Version: 4.6.1
Section: libs
Homepage: http://www.virtualsquare.org/
Vcs-Git: https://salsa.debian.org/virtualsquare-team/userbindmount.git
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/userbindmount
Rules-Requires-Root: no

Package: libuserbindmount-dev
Section: libdevel
Architecture: any
Depends: libuserbindmount0 (= ${binary:Version}), ${misc:Depends}
Description: bind-mount in user namespaces (devel)
 Bind mount files and create user namespaces where bind mount is allowed
 as users. It does not need root access or specific capabilities to run
 (provided user-namespaces are supported)
 .
 This package contains the development files used for C programs.

Package: libuserbindmount0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcap2
Description: bind-mount in user namespaces (library)
 Bind mount files and create user namespaces where bind mount is allowed
 as users. It does not need root access or specific capabilities to run
 (provided user-namespaces are supported)
 .
 This package contains the shared library.

Package: userbindmount
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libuserbindmount0
Description: bind-mount in user namespaces (command)
 Bind mount files and create user namespaces where bind mount is allowed
 as users. It does not need root access or specific capabilities to run
 (provided user-namespaces are supported)
 .
 This package contains the user command based on libuserbindmount.
